Introduction

Astuce

PHP supporte aussi des expressions rationnelles compatibles Perl, avec l'extension PCRE functions. Ces fonctions supportent des recherches non-gourmandes, des assertions, des sous-masques conditionnels et toute une gamme de fonctionnalités absentes des expressions rationnelles POSIX.

Avertissement

Ces expressions rationnelles ne sont pas compatibles avec les données binaires. Les expressions PCRE le sont.

Note:

Depuis PHP 5.3.0, cette extension est obsolète ; l'appel à n'importe quelle fonction de cette extension émettra une alerte de type E_DEPRECATED.

Les expressions rationnelles sont utilisées pour de complexes manipulations sur les chaînes de caractères. PHP utilise les expressions rationnelles avancées de POSIX (POSIX 1003.2). Pour avoir tous les détails sur ces expressions, reportez-vous aux » pages de manuel incluses dans le répertoire de la distribution PHP. Elles sont au format manpage : pour les lire, vous devrez utiliser la ligne de commande man /usr/local/src/regex/regex.7.

add a note add a note

User Contributed Notes 1 note

up
1
Alastair Irvine
9 months ago
Apparently "It won't be available in php6 because ereg does not work with Unicode."
Source: https://bugs.php.net/bug.php?id=49594#1254434169
To Top